> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing task

> Updates an existing task by ID. Only the fields provided in the request body will be updated. All fields are optional for updates.



## OpenAPI

````yaml /openapi.json put /api/public/tasks/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/tasks/{id}:
    put:
      tags:
        - tasks
      summary: Update an existing task
      description: >-
        Updates an existing task by ID. Only the fields provided in the request
        body will be updated. All fields are optional for updates.
      operationId: TaskPublicController_update
      parameters:
        - name: id
          required: true
          in: path
          description: The UUID of the task to update
          schema:
            format: uuid
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTaskPublicDto'
      responses:
        '200':
          description: Task updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponseDto'
        '400':
          description: Invalid task ID or request body
        '401':
          description: Unauthorized - Invalid or missing authentication token
        '404':
          description: Task not found
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponseDto'
components:
  schemas:
    UpdateTaskPublicDto:
      type: object
      properties:
        title:
          type: string
          minLength: 1
        description:
          type: string
          nullable: true
        dueDate:
          type: string
          nullable: true
        dueTime:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        responsibleIds:
          type: array
          items:
            type: string
        aiContactId:
          type: string
          nullable: true
        aiCustomerId:
          type: string
          nullable: true
        priority:
          type: string
          enum:
            - '0'
            - '1'
            - '2'
        associateToCalendar:
          default: false
          type: boolean
        newStatusPosition:
          type: number
        newStatusName:
          type: string
    TaskResponseDto:
      type: object
      properties: {}

````